<script lang="ts">
    import Resource from './ResourcesPanel/Resource.svelte'
    import { resources, updateResource } from 'lib/resource'

    updateResource()
</script>

<div class="resourcesNav">
    {#each Object.keys($resources) as name}
        <Resource {...$resources[name]} {name} />
    {/each}
</div>

<style lang="postcss">
    .resourcesNav {
        @apply bg-green-400 col-span-1 grid grid-cols-2 gap-2 p-2 rounded-lg;

        @screen lg {
            @apply grid-cols-4 gap-x-4;
        }
    }
</style>
